# Draw
TKTopTest
TestTopOpeTools

# TestTopOpeTools Class Reference

Provide Trace control on packages involved in
topological operations kernel, from Draw command interpretor.
They may be used by users of topological operation kernel, such as :
* topological operation performer,
* hidden line removal performer,
* fillet, chamfer performer
Trace control consists in management of
control functions, activating/desactivating execution of
instructions considered as purely PASSIVE code,
performing dumps, prints, and drawing of internal objects
dealed by some topological operation packages.
All of the Trace controls in top.ope. kernel
are enclosed by the C conditional compilation statements :
#ifdef DEB ... #endif
The "Traced" packages of topological operation kernel are :
- TopBuild
- TopOpeBRepTool
- TopOpeBRepDS
How to use the Trace :
----------------------
In a Test.cxx program using the Draw command interpretor, dealing
a set of commands theCommands (Draw_CommandManager theCommands) :

`#include <TestTopOpeTools.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | AllCommands (Draw_Interpretor &I)
| Defines all topological operation test commands .
static Standard_EXPORT void | TraceCommands (Draw_Interpretor &I)
| Defines the dump commands on topological operation packages. .
static Standard_EXPORT void | OtherCommands (Draw_Interpretor &I)
| Defines auxiliary commands .

## Member Function Documentation

static Standard_EXPORT void TestTopOpeTools::AllCommands | ( | Draw_Interpretor & | I | ) | `[static]`

void TestTopOpeTools::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TestTopOpeTools::operator new | ( | size_t | size | ) | `[inline]`

void* TestTopOpeTools::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void TestTopOpeTools::OtherCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void TestTopOpeTools::TraceCommands | ( | Draw_Interpretor & | I | ) | `[static]`

The documentation for this class was generated from the following file:

- TestTopOpeTools.hxx